Skip to main content
PATCH
/
v1
/
rewards
/
{id}
Update reward
curl --request PATCH \
  --url https://api.oneofnone.io/v1/rewards/{id} \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "name": "<string>",
  "description": "<string>",
  "value": 50000000,
  "minimumPurchase": 1,
  "minimumQuantity": 1,
  "usageLimitTotal": 1,
  "usageLimitPerCustomer": 1,
  "startsAt": "<string>",
  "expiresAt": "<string>",
  "stackable": true,
  "globalCode": "<string>",
  "externalUrl": "<string>",
  "imageId": 123,
  "conditions": {}
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "teamId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "description": "<string>",
  "value": 123,
  "minimumPurchase": 123,
  "minimumQuantity": 123,
  "usageLimitTotal": 123,
  "usageLimitPerCustomer": 123,
  "startsAt": "<string>",
  "expiresAt": "<string>",
  "stackable": true,
  "globalCode": "<string>",
  "externalUrl": "<string>",
  "imageId": 123,
  "conditions": {},
  "totalRedemptions": 123,
  "totalRevenueImpact": 123,
  "createdAt": "<string>",
  "updatedAt": "<string>",
  "image": {
    "id": 123,
    "url": "<string>"
  },
  "externalIds": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "rewardId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "externalId": "<string>",
      "externalCodeId": "<string>",
      "syncedAt": "<string>",
      "error": "<string>",
      "createdAt": "<string>",
      "updatedAt": "<string>"
    }
  ],
  "access": {
    "qualifies": true,
    "reasons": [
      "<string>"
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.oneofnone.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
required

Path Parameters

id
string<uuid>
required

Body

application/json
name
string
Required string length: 1 - 500
description
string | null
Maximum string length: 5000
type
enum<string>
Available options:
DISCOUNT,
GATED_CONTENT,
FREE_CLAIM,
EARLY_ACCESS,
CREDIT
scope
enum<string>
Available options:
sitewide,
collection,
product,
variant
valueType
enum<string>
Available options:
percentage,
fixed_amount,
free_shipping
value
integer
Required range: 0 <= x <= 100000000
minimumPurchase
integer | null
Required range: x >= 0
minimumQuantity
integer | null
Required range: x >= 0
usageLimitTotal
integer | null
Required range: x >= 0
usageLimitPerCustomer
integer | null
Required range: x >= 0
startsAt
string
expiresAt
string | null
stackable
boolean
codeType
enum<string>
Available options:
automatic,
global_code,
unique_codes
globalCode
string | null
Required string length: 1 - 64
externalUrl
string<uri> | null
imageId
integer | null
conditions
object
status
enum<string>
Available options:
draft,
active,
paused,
expired,
archived

Response

Successful response

id
string<uuid>
required
teamId
string<uuid>
required
name
string
required
description
string | null
required
type
enum<string>
required
Available options:
DISCOUNT,
GATED_CONTENT,
FREE_CLAIM,
EARLY_ACCESS,
CREDIT
scope
enum<string>
required
Available options:
sitewide,
collection,
product,
variant
valueType
enum<string>
required
Available options:
percentage,
fixed_amount,
free_shipping
value
integer
required
minimumPurchase
integer | null
required
minimumQuantity
integer | null
required
usageLimitTotal
integer | null
required
usageLimitPerCustomer
integer | null
required
startsAt
string
required
expiresAt
string | null
required
stackable
boolean
required
codeType
enum<string>
required
Available options:
automatic,
global_code,
unique_codes
globalCode
string | null
required
externalUrl
string | null
required
imageId
integer | null
required
conditions
object
required
status
enum<string>
required
Available options:
draft,
active,
paused,
expired,
archived
totalRedemptions
integer
required
totalRevenueImpact
number
required
createdAt
string
required
updatedAt
string | null
required
image
object
externalIds
object[]
access
object